Package: groovy.text

## [Java] Class TemplateExecutionException

- groovy.text.TemplateExecutionException

- A custom exception class to flag template execution errors

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateExecutionException (int lineNumber)`
    `TemplateExecutionException (int lineNumber, String message)`
    `TemplateExecutionException (int lineNumber, String message, Throwable cause)`
    `TemplateExecutionException (int lineNumber, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getLineNumber()` Returns the line number in the template source where the error occurred

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public TemplateExecutionException(int lineNumber)

    - #### public TemplateExecutionException(int lineNumber, String message)

    - #### public TemplateExecutionException(int lineNumber, String message, Throwable cause)

    - #### public TemplateExecutionException(int lineNumber, Throwable cause)

  - ### Method Detail

    - #### public int getLineNumber()

      Returns the line number in the template source where the error occurred

      Returns:
        the one-based line number of the template parsing error.